/****************************************************************************
*   COPYRIGHT 2017 All rights reserved
*   Panasonic Industrial Devices Europe GmbH
****************************************************************************/

#ifndef __UART_H__
#define __UART_H__

#include "types.h"

int uart_init(HANDLE *handle, BOOL flow_control);
int uart_set_baudrate(int baudrate);
int uart_send_bytes(const uint8_t *buf, unsigned int length);
int uart_receive_line(uint8_t *buf, unsigned int max_length, unsigned int *length, int timeout);

#endif