/****************************************************************************
*   COPYRIGHT 2017 All rights reserved
*   Panasonic Industrial Devices Europe GmbH
****************************************************************************/

#include "ble_api.h"

void ble_application_mng_generate_oob_data_success_callback(uint8_t *own_rand_value, uint8_t *own_confirm_value)
{
	__debugbreak();
  /* Application can pass these values (Both 16 bytes) to remote device by means
  of any OOB mechanism to proceed with OOB pairing in secure connections */
}

void ble_application_mng_generate_oob_data_failed_callback(uint8_t reason)
{
	__debugbreak();
}

#if 0
void ble_application_mng_connect_callback(struct ble_api_connection *connection)
{
	__debugbreak();
}

void ble_application_mng_disconnect_callback(struct ble_api_connection *connection, uint8_t reason)
{
	__debugbreak();
}

void ble_application_mng_connection_failed_callback(uint8_t status)
{
	__debugbreak();
}
#endif

int ble_application_mng_update_connection_request_callback(uint16_t connection_handle)
{
	__debugbreak();
  return 0;
}

int ble_application_mng_remote_connection_parameter_request_callback(uint16_t connection_handle)
{
//	__debugbreak();
  return 0;
}

void ble_application_mng_update_connection_done_callback(uint16_t connection_handle)
{
	__debugbreak();
}

void ble_application_mng_update_connection_failed_callback(uint16_t connection_handle)
{
	__debugbreak();
}

void ble_application_mng_connection_update_event_callback(uint8_t *data)
{
//	__debugbreak();
}

void ble_application_mng_authenticated_payload_timeout_expired_event_callback(uint16_t connection_handle)
{
//	__debugbreak();
}

void ble_application_mng_get_le_status_response_callback(uint8_t *le_status)
{
	__debugbreak();
}

void ble_application_mng_read_channel_map_response_callback(uint8_t *channel_map)
{
	__debugbreak();
}

void ble_application_mng_read_tx_power_level_callback(uint8_t *response)
{
	__debugbreak();
}

void ble_application_mng_set_host_channel_classification_callback(uint8_t status)
{
	__debugbreak();
}

void ble_application_mng_read_authenticated_payload_callback(uint8_t *response)
{
	__debugbreak();
}

void ble_application_mng_write_authenticated_payload_callback(uint8_t *response)
{
//	__debugbreak();
}

void ble_application_mng_set_data_length_response_callback(uint8_t status, uint16_t connection_handle)
{
	__debugbreak();
}

void ble_application_mng_data_length_change_event_callback(uint8_t status, uint16_t connection_handle, struct le_data_length_event *event)
{
	__debugbreak();
}

void ble_application_mng_read_rssi_callback(uint8_t *response)
{
	__debugbreak();
}

void ble_api_mng_set_tx_power_response_callback(uint8_t status)
{
	__debugbreak();
}

void ble_application_mng_gen_non_resolvable_bd_address_failed_callback(uint8_t reason)
{
	__debugbreak();
}

void ble_application_mng_gen_non_resolvable_bd_address_success_callback(uint8_t *bd_address)
{
	__debugbreak();
}

void ble_application_mng_set_ir_value_response_callback(uint8_t status)
{
	__debugbreak();
}

void ble_application_mng_set_random_address_response_callback(uint8_t status)
{
	__debugbreak();
}
