/****************************************************************************
*   COPYRIGHT 2017 All rights reserved
*   Panasonic Industrial Devices Europe GmbH
****************************************************************************/

#ifndef _USER_CONFIGURATION_H__
#define _USER_CONFIGURATION_H__

#if defined PERIPHERAL
#define MAX_REMOTE_MASTER_COUNT 1
#define MAX_REMOTE_SLAVE_COUNT 0
#elif defined CENTRAL
#define MAX_REMOTE_MASTER_COUNT 0
#define MAX_REMOTE_SLAVE_COUNT 1
#elif defined CENTRAL_PERIPHERAL
#define MAX_REMOTE_MASTER_COUNT 1
#define MAX_REMOTE_SLAVE_COUNT 1
#else
#error "GAP Role is not specified"
#endif

#if defined SERVER
#define GATT_ROLE_SERVER 0x01
#define GATT_ROLE_CLIENT 0x00
#elif defined CLIENT
#define GATT_ROLE_SERVER 0x00
#define GATT_ROLE_CLIENT 0x01
#elif defined CLIENT_SERVER
#define GATT_ROLE_SERVER 0x01
#define GATT_ROLE_CLIENT 0x01
#elif defined BEACON
#define GATT_ROLE_SERVER 0x00
#define GATT_ROLE_CLIENT 0x00
#else
#error "GATT Role is not specified"
#endif

#define FEATURE_SWITCH_FORMAT 0x01
#define LE_SECURE_CONNECTION_SUPPORT 0x01
#define LL_CONNECTION_PARAMETER_REQUEST_SUPPORT 0x01

#endif
