/****************************************************************************
*   COPYRIGHT 2017 All rights reserved
*   Panasonic Industrial Devices Europe GmbH
****************************************************************************/

#ifndef __DEBUG_H__
#define __DEBUG_H__

#define vPrintf(...)

#define warning(...) do { printf("%s(): ", __func__); printf(__VA_ARGS__); } while(0)
#define bs_warning warning

#define gatt_bs_printf(...)
#define gap_bs_printf(...)
#define smp_bs_printf(...)
#define spp_bs_printf(...)
#define ven_bs_printf(...)
#define hci_bs_printf(...)
#define buff_bs_printf(...)

#define tcu_smp_application_log_request(...)
#define tcu_smp_application_log_response(...)
#define tcu_smp_application_log_event(...)

#define tcu_gap_application_log_request(...)
#define tcu_gap_application_log_response(...)
#define tcu_gap_application_log_event(...)

#define tcu_gatt_application_log_request(...)
#define tcu_gatt_application_log_response(...)
#define tcu_gatt_application_log_event(...)

#define tcu_spp_application_log_request(...)
#define tcu_spp_application_log_response(...)
#define tcu_spp_application_log_event(...)

#define tcu_ven_application_log_request(...)
#define tcu_ven_application_log_response(...)
#define tcu_ven_application_log_event(...)

#endif
